StringModel (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.ext.beans, class: StringModel

Package freemarker.ext.beans

# Class StringModel

java.lang.Object
freemarker.ext.beans.BeanModel
freemarker.ext.beans.StringModel

All Implemented Interfaces:
  `WrapperTemplateModel`, `AdapterTemplateModel`, `TemplateHashModel`, `TemplateHashModelEx`, `TemplateModel`, `TemplateModelWithAPISupport`, `TemplateScalarModel`

Direct Known Subclasses:
  `CollectionModel`, `GenericObjectModel`, `MapModel`

@Deprecated public class StringModel extends BeanModel implements TemplateScalarModel
Deprecated.
Use `GenericObjectModel` instead, which implements `MethodCallAwareTemplateHashModel`.
Subclass of `BeanModel` that exposes the return value of the `Object.toString()` method through the `TemplateScalarModel` interface.

- ## Field Summary

  ### Fields inherited from class freemarker.ext.beans.BeanModel

  `object, wrapper`

  ### Fields inherited from interface freemarker.template.TemplateModel

  `NOTHING`

  ### Fields inherited from interface freemarker.template.TemplateScalarModel

  `EMPTY_STRING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringModel​(Object object, BeansWrapper wrapper)`
  Deprecated.
  Creates a new model that wraps the specified object with BeanModel + scalar functionality.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAsString()`
  Deprecated.
  Returns the result of calling `Object.toString()` on the wrapped object.

  ### Methods inherited from class freemarker.ext.beans.BeanModel

  `get, get, getAdaptedObject, getAPI, getBeforeMethodCall, getWrappedObject, hasPlainGetMethod, invokeGenericGet, isEmpty, keys, keySet, size, toString, unwrap, values, wrap`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StringModel

    public StringModel​(Object object, BeansWrapper wrapper)
    Deprecated.
    Creates a new model that wraps the specified object with BeanModel + scalar functionality.
    Parameters:
      `object` - the object to wrap into a model.
      `wrapper` - the `BeansWrapper` associated with this model. Every model has to have an associated `BeansWrapper` instance. The model gains many attributes from its wrapper, including the caching behavior, method exposure level, method-over-item shadowing policy etc.

- ## Method Details

  - ### getAsString

    public String getAsString()
    Deprecated.
    Returns the result of calling `Object.toString()` on the wrapped object.
    Specified by:
      `getAsString` in interface `TemplateScalarModel`